public class Sistema{
	private double [][] A;
	private double [] b;

	public Sistema (double [][] A, double [] b){
		this.A = new double [A.length][A[0].length];
		this.b = new double [b.length];

		for (int i = 0; i< A.length; i++){
			for (int j=0 ; j< A[i].length; j++){
				this.A[i][j] = A[i][j];
			}
		}

		for(int h=0; h< b.length; h++){
			this.b[h] = b[h];
		}
	}

	public boolean verificaEquazione(int i, double [] x){
		boolean soluzione = false;
		double somma = 0.0;
		for (int j = 0; j<this.A[i].length; j++){
			somma += this.A[i][j]*x[j];
		}
		if (somma == this.b[i])
			soluzione = true;

		return soluzione;
	}

	public boolean verificaSistema(double [] x){
		boolean soluzione = true;


		for (int i = 0; i< this.A.length; i++){
			if(!verificaEquazione(i, x))
				soluzione=false;

		}

		return soluzione;
	}

	public String stampaEquazione(int i){
		String s = "";
		for (int j = 0; j<this.A[i].length; j++){
			if(j>0 && this.A[i][j]>0)
				s += "+"+this.A[i][j]+"*x"+j;
			else
				s += this.A[i][j]+"*x"+j;
		}

		s += " = " + this.b[i]+"\n";

		return s;
	}

	public String toString(){
		String s = "";

		for (int i = 0; i<this.A.length; i++){
			s+=stampaEquazione(i);
		}
		return s;

	}
}
